Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | PROPERTY | METHOD | DETAIL: ENUM CONSTANTSFIELD | PROPERTY | METHOD

## groovy.inspect.swingui
[Groovy] Enum CompilePhaseAdapter

    java.lang.Object
      groovy.inspect.swingui.CompilePhaseAdapter

    enum CompilePhaseAdapter

An adapter for the CompilePhase enum that can be entered into a Swing combobox.

Authors:
  Hamlet D'Arcy

Property Summary
`int` | `phaseId`
`java.lang.String` | `string`

Constructor Summary
`CompilePhaseAdapter(java.lang.Object phaseId, java.lang.Object string)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### phaseId

    final int phaseId

### string

    final java.lang.String string

Constructor Detail

### CompilePhaseAdapter

    CompilePhaseAdapter(java.lang.Object phaseId, java.lang.Object string)

Method Detail

### toString

    java.lang.String toString()

Groovy Documentation